Package org.springframework.cache.jcache.config

# Interface JCacheConfigurer

All Superinterfaces:
  `org.springframework.cache.annotation.CachingConfigurer`

All Known Implementing Classes:
  `JCacheConfigurerSupport`

public interface JCacheConfigurer extends org.springframework.cache.annotation.CachingConfigurer
Extension of `CachingConfigurer` for the JSR-107 implementation.

To be implemented by classes annotated with `EnableCaching` that wish or need to specify explicitly how exception caches are resolved for annotation-driven cache management.

See `EnableCaching` for general examples and context; see `exceptionCacheResolver()` for detailed instructions.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  - `CachingConfigurer`
  - `EnableCaching`

## Method Summary

Modifier and Type
Method
Description
`default org.springframework.cache.interceptor.CacheResolver`
`exceptionCacheResolver()`
Return the `CacheResolver` bean to use to resolve exception caches for annotation-driven cache management.

### Methods inherited from interface org.springframework.cache.annotation.CachingConfigurer

`cacheManager, cacheResolver, errorHandler, keyGenerator`

## Method Details

### exceptionCacheResolver

@Nullable default org.springframework.cache.interceptor.CacheResolver exceptionCacheResolver()
Return the `CacheResolver` bean to use to resolve exception caches for annotation-driven cache management. Implementations must explicitly declare `@Bean`, for example,

     @Configuration
     @EnableCaching
     public class AppConfig implements JCacheConfigurer {
         @Bean // important!
         @Override
         public CacheResolver exceptionCacheResolver() {
             // configure and return CacheResolver instance
         }
         // ...
     }

See `EnableCaching` for more complete examples.